%bcond_without check

%global debug_package %{nil}

Name:           xwayland-satellite
Version:        0.6
Release:        1%{?dist}
Summary:        Xwayland outside your Wayland

License:        MPL-2.0
URL:            https://github.com/Supreeeme/xwayland-satellite
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

ExcludeArch:    %{ix86}

BuildRequires:  cargo-rpm-macros >= 26
BuildRequires:  clang
BuildRequires:  systemd-rpm-macros

BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-cursor)

Requires:       xorg-x11-server-Xwayland

%description
From the official GIT repository:

xwayland-satellite grants rootless Xwayland integration to any Wayland
compositor implementing xdg_wm_base. This is particularly useful for compositors
that (understandably) do not want to go through implementing support for
rootless Xwayland themselves.

%prep
%autosetup -p1
# make sure we use the one with the correct environment
%__cargo vendor --versioned-dirs
%cargo_prep -v vendor

%build
%cargo_build -f systemd

# write license summary and breakdown
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%{cargo_vendor_manifest}
# replace un-parseable git snapshot dependency information
sed 's/\(.*\) (.*#\(.*\))/\1+git\2/' -i cargo-vendor.txt

%install
install -Dpm0755 target/rpm/xwayland-satellite -t %{buildroot}%{_bindir}

install -Dpm0644 resources/xwayland-satellite.service -t %{buildroot}%{_userunitdir}


sed -i "s:/usr/local/bin:%{_bindir}:" %{buildroot}%{_userunitdir}/xwayland-satellite.service

%post
%systemd_user_post xwayland-satellite.service

%preun
%systemd_user_preun xwayland-satellite.service

%postun
%systemd_user_postun_with_reload xwayland-satellite.service

%files
%license LICENSE
%license LICENSE.dependencies
%license cargo-vendor.txt

%doc README.md

%{_bindir}/xwayland-satellite

%{_userunitdir}/xwayland-satellite.service

%changelog
* Thu Jun 12 2025 M.K. Jele <mphokjele@gmail.com> 0.6-1
- new package built with tito


